#=======================================================================
# Peso de latas cheias de tinta, recém fechadas, retiradas da linha de
# produção de indústria. Amostras de tamanho n = 5, m = 25.

rm(list = ls())

url <- paste0("http://www.leg.ufpr.br/~walmes/",
              "data/business_economics_dataset",
              "/EXAMPLES/PAINT125.DAT")

pnt <- read.table(file = url)
names(pnt) <- c("x", "i")
str(pnt)

xtabs(~i, data = pnt)

# Passar para o formato wide.
pntw <- t(unstack(x = pnt, form = x ~ i))
pntw

rownames(pntw) <- NULL
